/* BLOCK: Step Cards */

.block-step-cards .sticky-wrapper {
    position: sticky;
    top: 0;
    height: 100vh;
    height: 100dvh;
    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    gap: 6.25rem;
    /* padding-block: 6.25rem; */
    padding-bottom: 12vh;
    margin-bottom: -12vh;
}

.block-step-cards .spacer {
    /* height: calc((var(--items, 0) - 1) * 600px); */
    height: calc((var(--items, 0) - 1) * 72vh);
    visibility: hidden;
}

.block-step-cards .items-wrapper {
    display: flex;
    flex-direction: column;
    gap: 6.25rem;
}

.block-step-cards .card-wrapper {
    /* height: 31.25rem; */
    height: 60vh;
    border-radius: 1.5625rem;
    overflow: hidden;
}

.block-step-cards .card-wrapper:not(:first-child) {
    position: absolute;
    width: 100%;
    /* transform: translateY(calc(100% + 3.125rem)); */
    transform: translateY(72vh);
}

.block-step-cards .card-wrapper .overlay {
    position: absolute;
    inset: 0;
    padding: 3.125rem;

    display: flex;
    flex-direction: column;
    justify-content: flex-end;
    width: 100%;
}

.block-step-cards .card-wrapper .overlay .text-content {
    display: flex;
    flex-direction: column;
    gap: 2.5rem;
    max-width: 37.875rem;
}

.block-step-cards .card-wrapper .overlay .text-content h4 {
    margin-bottom: 0;
}

.block-step-cards .card-wrapper .overlay .cta-buttons {
    margin-top: 2.5rem;
}

.block-step-cards .card-wrapper .overlay .cta-buttons a {
    color: var(--c-tertiary);
}

.block-step-cards .number {
    display: grid;
    place-items: center;
    margin-bottom: auto;
    width: 2.5rem;
    height: 2.5rem;
    aspect-ratio: 1;
    border-radius: 100vw;
    background-color: var(--c-bg-dark-tint-1);
    color: var(--c-text-light);
    font-size: var(--font-18-12);
    font-weight: 700;
    line-height: 1;
    letter-spacing: -0.04em;
}

.block-step-cards .card-wrapper .bg-wrapper {
    position: relative;
}

.block-step-cards .card-wrapper .bg-wrapper::after {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: inherit;

    background: linear-gradient(
        260.89deg,
        rgba(10, 10, 10, 0) 0%,
        #0A0A0A 100%
    );
}

.block-step-cards .play-btn {
    position: absolute;
    right: 3.125rem;
    bottom: 3.125rem;
}

@media screen and (width <= 920px) {
    .block-step-cards .spacer {
        /* height: calc((var(--items, 0) - 1) * 450px); */
    }
    .block-step-cards .sticky-wrapper {
        /* padding-block: 3.125rem; */
        gap: 4rem;
    }
    .block-step-cards .card-wrapper {
        /* height: 25rem; */
    }
    .block-step-cards .card-wrapper:not(:first-child) {
        /* transform: translateY(calc(100% + 3.125rem)); */
    }
    .block-step-cards .overlay .play-btn {
        position: relative;
        inset: unset;
        margin-bottom: 1.875rem;
    }
    .block-step-cards .card-wrapper .overlay .text-content {
        gap: 1.5625rem;
    }
    .block-step-cards .number {
        width: 1.625rem;
        height: 1.625rem;
    }
    .block-step-cards .card-wrapper .overlay .cta-buttons {
        margin-top: 1.5625rem;
    }
    .block-step-cards .card-wrapper .overlay {
        padding: 1.875rem;
    }
}